; A demo to test the ParseCmdLine routine
; Coded by Vortex

.386 
.model flat,stdcall 
option casemap:none 

include		\GeneSys\include\windows.inc
include		\GeneSys\include\user32.inc
include		\GeneSys\include\kernel32.inc
include		\GeneSys\include\GeneSys.inc
includelib	\GeneSys\lib\GeneSys.lib 
includelib	\GeneSys\lib\user32.lib
includelib	\GeneSys\lib\kernel32.lib
includelib	ParseCmdLine.lib

ParseCmdLine	PROTO :DWORD

.data
format1		db 'Command-line parameter %d = %s',13,10,0

.data?
buffer1		db 512 dup(?)	; allocate memory to get command-line parameters
buffer2		db 256 dup(?)	; allocate memory for wsprintf function

.code
start: 
        
	push	esi		; preserve the critical registers esi, edi and ebx
	push	edi
	push	ebx
	mov	esi,OFFSET buffer1
	invoke	ParseCmdLine,esi        
	mov	edi,eax
	xor	ebx,ebx
@@:
	inc	ebx
 	invoke	wsprintf,ADDR buffer2,ADDR format1,ebx,dword PTR [esi]
	invoke	ConsoleOut,ADDR buffer2
	add	esi,4
	dec	edi
 	jnz	@b
@@:
	pop	ebx
	pop	edi
	pop	esi
	invoke  ExitProcess,0

END start
